Skip to main content
GET
Get earnings for a user position in a vault

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

vaultId
string
required

Opaque vault identifier from the Dynamic dashboard.

Query Parameters

ownerAddress
string
required

Wallet address whose earnings to query. Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight, hyphens allowed for chains using base64url-encoded addresses like TON)

Maximum string length: 255
Pattern: ^[A-Za-z0-9_-]{18,100}$
Example:

"0xbF394748301603f18d953C90F0b087CBEC0E1834"

Response

Earnings for the user position in the vault

netEarningsAssets
string
required

Net earnings on the position, in raw units of the vault's underlying token. Approximates PNL.

ownerAddress
string
required

Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight, hyphens allowed for chains using base64url-encoded addresses like TON)

Maximum string length: 255
Pattern: ^[A-Za-z0-9_-]{18,100}$
Example:

"0xbF394748301603f18d953C90F0b087CBEC0E1834"

returnOnCapital
number | null
required

Time-weighted, non-annualized return on capital since inception, as a decimal. Null while the position has too little history to compute it.

vaultId
string
required

Opaque vault identifier.

Last modified on September 14, 2026